com.android.agf.fragments

## Class Base_WebViewFragment.InsideWebChromeClient

- java.lang.Object
- - android.webkit.WebChromeClient
  - - com.android.agf.fragments.Base_WebViewFragment.InsideWebChromeClient

- Enclosing class:
    Base_WebViewFragment

       class Base_WebViewFragment.InsideWebChromeClient
      extends WebChromeClient

  classe local amb el webchromeclient amb el control de la cache del webview
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.webkit.WebChromeClient

      `WebChromeClient.CustomViewCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base_WebViewFragment.InsideWebChromeClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onExceededDatabaseQuota(String url, String databaseIdentifier, long currentQuota, long estimatedSize, long totalUsedQuota, WebStorage.QuotaUpdater quotaUpdater)`

    - ### Methods inherited from class android.webkit.WebChromeClient

      `getDefaultVideoPoster, getVideoLoadingProgressView, getVisitedHistory, onCloseWindow, onConsoleMessage, onConsoleMessage, onCreateWindow, onGeolocationPermissionsHidePrompt, onGeolocationPermissionsShowPrompt, onHideCustomView, onJsAlert, onJsBeforeUnload, onJsConfirm, onJsPrompt, onJsTimeout, onProgressChanged, onReachedMaxAppCacheSize, onReceivedIcon, onReceivedTitle, onReceivedTouchIconUrl, onRequestFocus, onShowCustomView, onShowCustomView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base_WebViewFragment.InsideWebChromeClient

          Base_WebViewFragment.InsideWebChromeClient()

  - ### Method Detail

    - #### onExceededDatabaseQuota

          public void onExceededDatabaseQuota(String url,
                                     String databaseIdentifier,
                                     long currentQuota,
                                     long estimatedSize,
                                     long totalUsedQuota,
                                     WebStorage.QuotaUpdater quotaUpdater)

      Overrides:
        `onExceededDatabaseQuota` in class `WebChromeClient`